Bug 1422569 - 'instance*' resource attributes are not updated
Summary: 'instance*' resource attributes are not updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ceilometer
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Mehdi ABAAKOUK
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On: 1421431 1423426
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 15:18 UTC by Sasha Smolyak
Modified: 2017-05-17 19:59 UTC (History)
7 users (show)

Fixed In Version: openstack-ceilometer-8.0.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1423426 (view as bug list)
Environment:
Last Closed: 2017-05-17 19:59:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 435109 None None None 2017-02-17 09:51:13 UTC
OpenStack gerrit 439823 None None None 2017-03-07 13:03:26 UTC

Comment 1 Mehdi ABAAKOUK 2017-02-17 09:51:13 UTC
This doesn't work for three reasons:
* A ceilometer bug https://bugzilla.redhat.com/show_bug.cgi?id=1421431
* Another ceilometer bug https://review.openstack.org/#/c/435109/
* instance_usage_audit/instance_usage_audit_period is not configured on undercloud. (I will duplicate this BZ for the nova part of this issue).

Once all of this will be fixed, the display_name will change only within on hour (because nova send the information only once per hour).

Comment 2 Mehdi ABAAKOUK 2017-02-17 09:52:00 UTC
notify_on_state_change=vm_and_task_state is also missing in nova.conf

Comment 3 Mehdi ABAAKOUK 2017-02-17 09:58:47 UTC
notify_on_state_change=vm_and_task_state is OK, just not placed where I though.

Comment 4 Pradeep Kilambi 2017-03-01 20:03:32 UTC
cherrypicked to ocata: https://review.openstack.org/#/c/439823/

Comment 10 Sasha Smolyak 2017-03-27 11:24:26 UTC
Tested. The attributes are updated

Comment 12 errata-xmlrpc 2017-05-17 19:59:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.